<?php 

if(($_POST['act']== 'publish_departments')) {
	$id_array = $_POST['department']; // return array
	$id_count = count($_POST['department']); // count array
	
	for($i=0; $i < $id_count; $i++) {
		$id = $id_array[$i];
		$query = mysql_query("UPDATE departments SET status =  0  WHERE `id` = '$id'");
		if(!$query) { die(mysql_error()); }
	}
	header("Location: gateway.php?act=view_departments&is=Successfully Published"); // redirent after deleting
}
?>